Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
[Java] Class ScanTargetPattern

    java.lang.Object
      org.gradle.api.plugins.jetty.ScanTargetPattern

    public class ScanTargetPattern

Patterns for scanning for file changes.

Method Summary
`File` | `getDirectory()`
`List` | `getExcludes()`
`List` | `getIncludes()`
`void` | `setDirectory(File directory)`
`void` | `setExcludes(List excludes)`
`void` | `setIncludes(List includes)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getDirectory

    public File getDirectory()

### getExcludes

    public List getExcludes()

### getIncludes

    public List getIncludes()

### setDirectory

    public void setDirectory(File directory)

### setExcludes

    public void setExcludes(List excludes)

### setIncludes

    public void setIncludes(List includes)

Gradle API 1.10